<style include="mwb-shared-style read-later-shared-style cr-hidden-style">
  #top-container {
    display: flex;
    height: var(--mwb-item-height);
    justify-content: flex-end;
  }

  #header {
    align-items: center;
    color: var(--cr-primary-text-color);
    flex-grow: 1;
    font-size: 15px;
    line-height: var(--mwb-item-height);
    margin: 0;
    padding-inline-start: var(--mwb-list-item-horizontal-margin);
  }

  cr-icon-button {
    margin-inline-end: 4px;
    margin-top: 4px;
    --cr-icon-button-fill-color: var(--mwb-icon-button-fill-color);
  }

  @media (prefers-color-scheme: dark) {
    cr-icon-button {
      --cr-icon-button-ripple-opacity: 0.15;
    }
  }

  #read-later-list {
    max-height: 444px;
    overflow-x: hidden;
    overflow-y: auto;
  }

  .mwb-list-item:focus-within {
    background-color: var(--mwb-list-item-hover-background-color);
  }

  .mwb-list-item:active {
    background-color: var(--mwb-list-item-selected-background-color);
  }

  .sub-heading {
    align-items: center;
    border-bottom: 1px solid #dbdbdb;
    color: var(--cr-secondary-text-color);
    display: flex;
    font-size: 11px;
    height: 24px;
    margin-inline-start: var(--mwb-list-item-horizontal-margin);
    margin-top: 4px;
  }

  #empty-state-header {
    color: var(--cr-primary-text-color);
    font-size: 15px;
    line-height: 20px;
    padding: 0 var(--mwb-list-item-horizontal-margin);
    text-align: center;
  }

  #empty-state-subheader {
    color: var(--cr-secondary-text-color);
    font-size: var(--mwb-primary-text-font-size);
    line-height: 20px;
    padding: 4px var(--mwb-list-item-horizontal-margin) 24px;
    text-align: center;
  }
</style>

<div id="top-container">
  <div id="header"
      hidden="[[isReadingListEmpty_(unreadItems_, readItems_)]]">$i18n{title}
  </div>
  <cr-icon-button id="closeButton" aria-label="$i18n{tooltipClose}"
      disable-ripple iron-icon="cr:close" on-click="onCloseClick_"
      title="$i18n{tooltipClose}">
  </cr-icon-button>
</div>
<div id="readLaterList">
  <iron-selector id="selector" on-keydown="onItemKeyDown_"
      attr-for-selected="data-url" selectable="read-later-item">
    <div hidden="[[!unreadItems_.length]]" class="sub-heading">
      $i18n{unreadHeader}
    </div>
    <template id="ureadItemsList" is="dom-repeat" items="[[unreadItems_]]">
      <read-later-item data-url$="[[item.url.url]]" on-focus="onItemFocus_"
          aria-label="[[ariaLabel_(item)]]" class="mwb-list-item"
          data="[[item]]" tabindex="0">
      </read-later-item>
    </template>
    <div hidden="[[!readItems_.length]]" class="sub-heading">
      $i18n{readHeader}
    </div>
    <template id="readItemsList" is="dom-repeat" items="[[readItems_]]">
      <read-later-item data-url$="[[item.url.url]]" on-focus="onItemFocus_"
          aria-label="[[ariaLabel_(item)]]" class="mwb-list-item"
          data="[[item]]" tabindex="0">
      </read-later-item>
    </template>
  </iron-selector>
  <div hidden="[[!isReadingListEmpty_(unreadItems_, readItems_)]]">
    <div id="empty-state-header">$i18n{emptyStateHeader}</div>
    <div id="empty-state-subheader">$i18n{emptyStateSubheader}</div>
  </div>
</div>
